# Uses of Interface
java.rmi.server.RemoteRef

Packages that use RemoteRef
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of RemoteRef in java.rmi.server

Subinterfaces of RemoteRef in java.rmi.server
Modifier and Type
Interface
Description
`interface`
`ServerRef`
Deprecated.
No replacement.
Fields in java.rmi.server declared as RemoteRef
Modifier and Type
Field
Description
`protected RemoteRef`
RemoteObject.`ref`
The object's remote reference.
Methods in java.rmi.server that return RemoteRef
Modifier and Type
Method
Description
`RemoteRef`
RemoteObject.`getRef()`
Returns the remote reference for the remote object.
Methods in java.rmi.server with parameters of type RemoteRef
Modifier and Type
Method
Description
`boolean`
RemoteRef.`remoteEquals(RemoteRef obj)`
Compares two remote objects for equality.
`protected static void`
RemoteStub.`setRef(RemoteStub stub, RemoteRef ref)`
Deprecated.
No replacement.
Constructors in java.rmi.server with parameters of type RemoteRef
Modifier
Constructor
Description
`protected`
`RemoteObject(RemoteRef newref)`
Creates a remote object, initialized with the specified remote reference.
``
`RemoteObjectInvocationHandler(RemoteRef ref)`
Creates a new `RemoteObjectInvocationHandler` constructed with the specified `RemoteRef`.
`protected`
`RemoteServer(RemoteRef ref)`
Constructs a `RemoteServer` with the given reference type.
`protected`
`RemoteStub(RemoteRef ref)`
Deprecated.
Constructs a `RemoteStub` with the specified remote reference.

## Uses of RemoteRef in javax.management.remote.rmi

Constructors in javax.management.remote.rmi with parameters of type RemoteRef
Modifier
Constructor
Description
``
`RMIConnectionImpl_Stub(RemoteRef ref)`
Constructor.
``
`RMIServerImpl_Stub(RemoteRef ref)`
Constructor.